Package org.zkoss.zhtml

## Class Object

- java.lang.Object
- - org.zkoss.zk.ui.AbstractComponent
  - - org.zkoss.zhtml.impl.AbstractTag
    - - org.zkoss.zhtml.Object

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Component`, `DynamicPropertied`, `RawId`, `Scope`, `ComponentCtrl`

      public class Object
      extends AbstractTag

  The OBJECT tag.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zhtml.impl.AbstractTag

      `AbstractTag.ExtraCtrl`

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.AbstractComponent

      `AbstractComponent.Children, AbstractComponent.ForwardInfo, AbstractComponent.TargetInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zhtml.impl.AbstractTag

      `_tagnm`

    - ### Fields inherited from interface org.zkoss.zk.ui.Component

      `APPLICATION_SCOPE, COMPONENT_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, SPACE_SCOPE`

    - ### Fields inherited from interface org.zkoss.zk.ui.sys.ComponentCtrl

      `AFTER_CHILD_ADDED, AFTER_CHILD_REMOVED, AFTER_CLONED, AFTER_PAGE_ATTACHED, AFTER_PAGE_DETACHED, AFTER_PARENT_CHANGED, CE_BUSY_IGNORE, CE_DUPLICATE_IGNORE, CE_IMPORTANT, CE_NON_DEFERRABLE, CE_REPEAT_IGNORE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Object()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getData()` | Returns the data of this object tag.
    `java.lang.String` | `getForm()` | Returns the form of this tag.
    `java.lang.String` | `getHeight()` | Returns the height of this object tag.
    `java.lang.String` | `getName()` | Returns the name of this object tag.
    `java.lang.String` | `getType()` | Returns the type of this object tag.
    `java.lang.String` | `getUsemap()` | Returns the usemap of this object tag.
    `java.lang.String` | `getWidth()` | Returns the width of this object tag.
    `boolean` | `isTypemustmatch()` | Returns the typemustmatch of this object tag.
    `void` | `setData​(java.lang.String data)` | Sets the data of this object tag.
    `void` | `setForm​(java.lang.String form)` | Sets the form of this tag.
    `void` | `setHeight​(java.lang.String height)` | Sets the height of this object tag.
    `void` | `setName​(java.lang.String name)` | Sets the name of this object tag.
    `void` | `setType​(java.lang.String type)` | Sets the type of this object tag.
    `void` | `setTypemustmatch​(boolean typemustmatch)` | Sets the typemustmatch of this object tag.
    `void` | `setUsemap​(java.lang.String usemap)` | Sets the usemap of this object tag.
    `void` | `setWidth​(java.lang.String width)` | Sets the width of this object tag.

    - ### Methods inherited from class org.zkoss.zhtml.impl.AbstractTag

      `clone, getAccesskey, getDir, getDynamicProperties, getDynamicProperty, getExtraCtrl, getLang, getPropertyAccess, getSclass, getStyle, getTabindex, getTag, getTitle, getWidgetClass, hasDynamicProperty, isChildable, isContenteditable, isDraggable, isHidden, isOrphanTag, isSpellcheck, redraw, redrawChildrenDirectly, renderProperties, setAccesskey, setContenteditable, setDir, setDraggable, setDynamicProperty, setHidden, setLang, setSclass, setSpellcheck, setStyle, setTabindex, setTitle, setVisible, shallHideId, toString`

    - ### Methods inherited from class org.zkoss.zk.ui.AbstractComponent

      `addAnnotation, addCallback, addClientEvent, addEventHandler, addEventListener, addEventListener, addForward, addForward, addForward, addForward, addMoved, addRedrawCallback, addScopeListener, addShadowRoot, addShadowRootBefore, addSharedEventHandlerMap, appendChild, applyProperties, beforeChildAdded, beforeChildRemoved, beforeParentChanged, destroyIndexCacheMap, detach, didActivate, didActivate, didDeserialize, didDeserialize, disableBindingAnnotation, disableClientUpdate, disableHostChanged, enableBindingAnnotation, enableHostChanged, getAnnotatedProperties, getAnnotatedPropertiesBy, getAnnotation, getAnnotations, getAnnotations, getAttribute, getAttribute, getAttribute, getAttributeOrFellow, getAttributes, getAttributes, getAuService, getAutag, getCallback, getChildren, getClientAttribute, getClientDataAttribute, getClientEvents, getDefaultMold, getDefinition, getDesktop, getEventHandler, getEventHandlerNames, getEventListenerMap, getEventListeners, getFellow, getFellow, getFellowIfAny, getFellowIfAny, getFellows, getFirstChild, getForwards, getId, getIndexCacheMap, getLastChild, getMold, getNextSibling, getPage, getParent, getPreviousSibling, getRedrawCallback, getRoot, getShadowFellowIfAny, getShadowRoots, getShadowVariable, getShadowVariable, getShadowVariable0, getSpaceOwner, getSpecialRendererOutput, getStubonly, getSubBindingAnnotationCount, getTemplate, getTemplateNames, getUuid, getWidgetAttributeNames, getWidgetListener, getWidgetListenerNames, getWidgetOverride, getWidgetOverrideNames, hasAttribute, hasAttribute, hasAttribute, hasAttributeOrFellow, hasBindingAnnotation, hasFellow, hasFellow, hasSubBindingAnnotation, initIndexCacheMap, insertBefore, invalidate, isDisabledHostChanged, isInitialized, isInvalidated, isListenerAvailable, isVisible, onChildAdded, onChildRemoved, onPageAttached, onPageDetached, onParentChanged, onWrongValue, query, queryAll, redrawChildren, removeAttribute, removeAttribute, removeAttribute, removeCallback, removeChild, removeEventListener, removeForward, removeForward, removeRedrawCallback, removeScopeListener, removeShadowRoot, render, render, render, renderPropertiesOnly, replace, response, response, response, service, service, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setAttribute, setAuService, setAutag, setClientAttribute, setClientDataAttribute, setDefinition, setDefinition, setId, setMold, setPage, setPageBefore, setParent, setStubonly, setStubonly, setSubBindingAnnotationCount, setTemplate, setVisibleDirectly, setWidgetClass, setWidgetListener, setWidgetOverride, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdateWidgetListener, smartUpdateWidgetOverride, updateByClient, updateSubBindingAnnotationCount, willPassivate, willPassivate, willSerialize, willSerialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Object

          public Object()

  - ### Method Detail

    - #### getData

          public java.lang.String getData()

      Returns the data of this object tag.
      Since:
        8.0.3

    - #### setData

          public void setData​(java.lang.String data)
                       throws WrongValueException

      Sets the data of this object tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getHeight

          public java.lang.String getHeight()

      Returns the height of this object tag.
      Since:
        8.0.3

    - #### setHeight

          public void setHeight​(java.lang.String height)
                         throws WrongValueException

      Sets the height of this object tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getName

          public java.lang.String getName()

      Returns the name of this object tag.
      Since:
        8.0.3

    - #### setName

          public void setName​(java.lang.String name)
                       throws WrongValueException

      Sets the name of this object tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getType

          public java.lang.String getType()

      Returns the type of this object tag.
      Since:
        8.0.3

    - #### setType

          public void setType​(java.lang.String type)
                       throws WrongValueException

      Sets the type of this object tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### isTypemustmatch

          public boolean isTypemustmatch()

      Returns the typemustmatch of this object tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Since:
        8.0.3

    - #### setTypemustmatch

          public void setTypemustmatch​(boolean typemustmatch)
                                throws WrongValueException

      Sets the typemustmatch of this object tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getUsemap

          public java.lang.String getUsemap()

      Returns the usemap of this object tag.
      Since:
        8.0.3

    - #### setUsemap

          public void setUsemap​(java.lang.String usemap)
                         throws WrongValueException

      Sets the usemap of this object tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getWidth

          public java.lang.String getWidth()

      Returns the width of this object tag.
      Since:
        8.0.3

    - #### setWidth

          public void setWidth​(java.lang.String width)
                        throws WrongValueException

      Sets the width of this object tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getForm

          public java.lang.String getForm()

      Returns the form of this tag.
      Since:
        10.0.0

    - #### setForm

          public void setForm​(java.lang.String form)
                       throws WrongValueException

      Sets the form of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0